#ifndef _fencer_level_h
#define _fencer_level_h

#include "sprite.h"
#include <SDL2/SDL_render.h>
#include <cjson/cJSON.h>

typedef struct Tilemap Tilemap;

typedef struct Level Level;

extern void world_init();
extern void world_close();

extern Level* level_from_json(cJSON* json);
extern Level* level_load(const char* level_id);
extern void level_destroy(Level* self);

extern void level_draw(Level* self);

extern Tilemap* level_get_tilemap_layer(Level* self, size_t layer);
extern size_t level_get_tilemap_count(Level* self);

#endif // !_fencer_level_h
